Bug 198964 - Incorrect behavior of PAM auth with /lib/security/pam_rootok.so commented out
Incorrect behavior of PAM auth with /lib/security/pam_rootok.so commented out
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sh-utils (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 20:55 EDT by Kirk Larsen
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 10:45:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirk Larsen 2006-07-14 20:55:49 EDT
Description of problem:

When user "root" uses the su command to change to another user, the system
should prompt for user's password if the following line is commented out in the
file /etc/pam.d/su : 

#auth sufficent /lib/security/pam_rootok.so 

Version-Release number of selected component (if applicable):
pam-0.75-46.64

How reproducible:


Steps to Reproduce:
1.  Comment out "auth sufficent /lib/security/pam_rootok.so" in /etc/pam.d/su
2.  su username
  
Actual results:
No password asked for

Expected results:
Password is asked for

Additional info:

This behavior works with
RHEL 3.0 pam-0.75-54
Comment 1 Tomas Mraz 2006-07-17 03:05:27 EDT
This is feature of su in RHEL2.1. (PAM is almost identical in RHEL3 and RHEL2.1)
I don't think it should/will be changed now.
Reassigning to sh-utils maintainer for final decision.
Comment 2 Tim Waugh 2006-07-21 10:45:57 EDT
No, we can't change that at this point.

Note You need to log in before you can comment on or make changes to this bug.